<div class="purchases">
  <h2 class="purchases__title">
    {{ "MERCHANT_MANAGER.MERCHANT_PROFILE.PURCHASES.TITLE" | translate }}
  </h2>
  <p class="purchases__description">
    {{ "MERCHANT_MANAGER.MERCHANT_PROFILE.PURCHASES.DESCRIPTION" | translate }}
  </p>
  <div class="purchases__table">
    <mo-table
      [designClass]="designClass"
      [headers]="headers"
      [data]="merchantPurchases$ | async"
      [isLoading]="isLoading$ | async"
      [fixedMinWidth]="false"
      [loadingColumns]="4"
    ></mo-table>

    <div class="buttons" *ngIf="merchantId$ | async as merchant_id">
      <mo-button
        [text]="
          'MERCHANT_MANAGER.MERCHANT_PROFILE.PURCHASES.BTN_VISIT_CREDITS'
            | translate
        "
        [designClass]="BUTTON_DESIGN_CLASS.NEUTRO_DARK"
        [displayBlock]="true"
        [size]="SIZES.MD"
        [routerLink]="loansUrl"
        [queryParams]="{ merchant_id }"
      ></mo-button>

      <!-- TODO PENDING THAT PRODUCTS TEAM DEFINES FLOW 
      <mo-button
        [text]="
          'MERCHANT_MANAGER.MERCHANT_PROFILE.PURCHASES.BTN_VISIT_PURCHASES'
            | translate
        "
        [designClass]="BUTTON_DESIGN_CLASS.PRIMARY_WHITE"
        [displayBlock]="true"
        [size]="SIZES.MD"
        [routerLink]="purchasesUrl"
        [queryParams]="{ merchant_id }" 
      ></mo-button>
      -->
    </div>
  </div>
</div>
